# -*-mode: makefile-*-
%define c "# "
#
# Makefile.am for <:PROJECT>/doc
#
%license
#
#
# <:DATE> <:AUTHOR> <<:EMAIL>>
#

%if !defined("RUBY")
pkgdocdir=	$(datadir)/doc/@PACKAGE@
%else
pkgdocdir=	$(datadir)/doc/ruby/@PACKAGE@

rdocdir=	$(pkgdocdir)/rdoc
rdoccpio=	./rdoc.cpio.gz
install-data-hook: $(rdoccpio)
	rm -fr $(DESTDIR)$(rdocdir); true
	mkdir -p $(DESTDIR)$(rdocdir)
	gunzip -c $(rdoccpio) | (cd $(DESTDIR)$(pkgdocdir); cpio -idm)
%endif # defined("RUBY")

pkgdoc_DATA=

%if !defined("RUBY")
EXTRA_DIST=	$(pkgdoc_DATA)
%else
EXTRA_DIST=	$(rdoccpio) $(pkgdoc_DATA)
%endif # defined("RUBY")

#EOF
